Folks.PostalAddress.equal – folks Reference Manual

# equal

## Description:

public bool equal (PostalAddress @with)

Compare if two postal addresses are equal. Addresses are equal if all their components are equal (where `null` compares equal only with `null`) and they have the same set of types (or both have no types).

This does not factor in the PostalAddress.uid.

## Parameters:

with | another postal address to compare with

## Returns:

`true` if the addresses are equal, `false` otherwise